Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		docbook-sgml-dtd3
Version:	3.1
Release:	3
Provides:	docbook-sgml-dtd
License:	GNU/GPL 
URL:		http://www.oasis-open.org/docbook/xml/4.4/
Group:		Development/Other
Source0:	docbk31.zip
Patch0:		docbook-sgml-dtd-%{version}-no-iso.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Docbook 3.1 DTD for SGML.
Requires:       sgml-common
BuildArch:	noarch

Obsoletes:	docbook-3.1-sgml-dtd = 3.1-2

%description
Docbook 3.1 DTD for SGML.

%post
install-catalog --add %_sysconfdir/sgml/sgml-docbook-dtd-3.1.cat %_datadir/sgml/docbook/sgml-dtd-3.1/catalog > /dev/null
install-catalog --add %_sysconfdir/sgml/sgml-docbook-dtd-3.1.cat %_sysconfdir/sgml/sgml-docbook.cat > /dev/null

%preun
install-catalog --remove %_sysconfdir/sgml/sgml-docbook-dtd-3.1.cat %_datadir/sgml/docbook/sgml-dtd-3.1/catalog > /dev/null
install-catalog --remove %_sysconfdir/sgml/sgml-docbook-dtd-3.1.cat %_sysconfdir/sgml/sgml-docbook.cat > /dev/null

%prep
rm -Rf $RPM_BUILD_DIR/%{name}-%{version}
unzip %{SOURCE0} -d %{name}-%{version}
cd %{name}-%{version}
%patch0 -p1

%install
cd %{name}-%{version}
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%_sysconfdir/sgml,%_datadir/sgml/docbook/sgml-dtd-3.1}
install -v docbook.cat $RPM_BUILD_ROOT%_datadir/sgml/docbook/sgml-dtd-3.1/catalog
cp -v -af *.dtd *.mod *.dcl $RPM_BUILD_ROOT%_datadir/sgml/docbook/sgml-dtd-3.1 

%files
%defattr(-,root,root)
%_sysconfdir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Oct 27 2005 Christian Wasem <wasem@ccux-linux.de> 3.1-3
- renamed package name to: docbook-sgml-dtd3
* Thu Oct 27 2005 Christian Wasem <wasem@ccux-linux.de> 3.1-2
- removed sed replacements, added no-iso patch,
- added BuildArch noarch (no compiling)
* Sat Oct 15 2005 Karsten Brockmann <arcam@ccux-linux.de> 3.1-1
- Initial Release